<?xml version="1.0"?>
<Annotations>
  <Attribute name="tagName" nullable="no"/>
  <Method name="getAttribute" nullable="no">
    <Param name="name" nullable="no"/>
  </Method>
  <Method name="setAttribute" nullable="no">
    <Param name="name" nullable="no"/>
    <Param name="value" nullable="no"/>
  </Method>
  <Method name="removeAttribute" nullable="no">
    <Param name="name" nullable="no"/>
  </Method>
  <Method name="getAttributeNode" nullable="yes">
    <Param name="name" nullable="no"/>
  </Method>
  <Method name="setAttributeNode" nullable="no">
    <Param name="newAttr" nullable="no"/>
  </Method>
  <Method name="removeAttributeNode" nullable="no">
    <Param name="oldAttr" nullable="no"/>
  </Method>
  <Method name="getElementsByTagName" nullable="no">
    <Param name="name" nullable="no"/>
  </Method>
  <Method name="getAttributeNS" nullable="no">
    <Param name="namespaceURI" nullable="no"/>
    <Param name="localName" nullable="no"/>
  </Method>
  <Method name="setAttributeNS" nullable="no">
    <Param name="namespaceURI" nullable="yes"/>
    <Param name="qualifiedName" nullable="no"/>
    <Param name="value" nullable="no"/>
  </Method>
  <Method name="removeAttributeNS" nullable="no">
    <Param name="namespaceURI" nullable="no"/>
    <Param name="localName" nullable="no"/>
  </Method>
  <Method name="getAttributeNodeNS" nullable="yes">
    <Param name="namespaceURI" nullable="no"/>
    <Param name="localName" nullable="no"/>
  </Method>
  <Method name="setAttributeNodeNS" nullable="no">
    <Param name="newAttr" nullable="no"/>
  </Method>
  <Method name="getElementsByTagNameNS" nullable="no">
    <Param name="namespaceURI" nullable="no"/>
    <Param name="localName" nullable="no"/>
  </Method>
  <Method name="hasAttribute" nullable="no">
    <Param name="name" nullable="no"/>
  </Method>
  <Method name="hasAttributeNS" nullable="no">
    <Param name="namespaceURI" nullable="no"/>
    <Param name="localName" nullable="no"/>
  </Method>
</Annotations>
